/* General HTML */

li {
  list-style: "- ";
}

a {
  color: rgb(255, 122, 209);
}

a:visited {
  color: rgb(164, 59, 128);
}

/* Header */

header p {
  display: inline;
  font-size: 1.25em;
  font-weight: bolder;
}

header img {
  display: inline;
  height: 64px;
  margin: 0;
  transform: translateY(17px);
}

body {
  background-color: #DA047D;
  margin: 0;
  padding: 0;
  height: 100%;
}

content {
  display: inline-block;
  position: relative;
  background-color: white;
  width: 99%;
  max-width: 90vw;
  padding: 1em;
}

/* Segments */

h2 {
  text-align: center;
  font-weight: lighter;
  text-decoration: underline;
  text-decoration-style: dotted;
  margin-top: 0.1em;
}

main {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 1em;
}

article {
  position: relative;
  min-width: 40%;
  background-color: hsl(320, 100%, 99%);
  flex-basis: 200px;
  flex-grow: 1;
  flex-shrink: 1;
  margin-right: 10px;
  margin-bottom: 10px;
  padding: 5px;
}
.alwaysWide article {
  flex: 100%;
}

article img {
  margin: none;
  float: right;
  transform: translateY(5px);
}

aside {
  font-size: 0.8em;
  font-style: italic;
}


/* Gradienting */

.zune-header {
  background-image: url(zune.png);
  background-size: 100%;
  background-repeat: no-repeat;
  display: block;
  position: fixed;
  height: 100%;
  width: 100%;
  max-width: 800px;
  left: 0;
}


.zune-spacer-mainpage {
  height: 50vh;
  max-height: 50vw;
}
.page-spacer {
  height: 20vh
}

@media (min-width: 800px) {
  .zune-spacer-mainpage {
    max-height: 400px;
  }
}

.zune-spacer {
  height: 20vh;
  max-height: 20vw;
}

@media (min-width: 800px) {
  .zune-spacer {
    max-height: 150px;
  }
}

.bottom-right-gradient {
  display: block;
  position: fixed;
  height: 100%;
  width: 100%;
  background: linear-gradient(340deg, #FD7928 0em, #DA047D 20em);
}


/* Main page: vibey things */

.blinkies {
  text-align: center;
  background-color: transparent;
  z-index: 1;
  position: relative;
}

.blinkies::before {
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: .3;
  z-index: -1;
  background-image: url('sea.gif');
}


.blinkies img {
  height: 20px;
  image-rendering: pixelated;
  margin: 0;
  z-index: 1;
}

.blinkies a:hover {
  border: none;
}

#emoji p {
  margin-bottom: 0;
}

.counter {
  background: blue;
  padding-left: 40px;
  padding-right: 40px;
  animation: 30s linear rotate infinite;
}

@keyframes rotate {
  0% {
    filter: hue-rotate(0deg) brightness(500%);
  }

  100% {
    filter: hue-rotate(360deg) brightness(500%);
  }
}